Bug 149234 - RFE: add support for DVDs to splittree.py
RFE: add support for DVDs to splittree.py
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 10:51 EST by Gene Czarcinski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-26 11:18:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2005-02-21 10:51:35 EST
Description of problem:

DVD drives and use of DVDs to hold distributions are becoming more and
more common.  Unfortunately, the current splittree.py script does not
support splitting the distribution tree into two DVD images.  At one
time (Fedora Core 1) the total distribution could fit on one DVD. 
With Fedora Core 3 (and expect FC4) this is no longer true ... the
total of binary plus source packages exceeds the capacity of a DVD
although there is plenty of space if source and binary are put onto
separate DVD iamges.

While this splitting can be accomplished manually, it is more
consistent (and less error prone) for splitttree.py to support
splitting into DVD images.  This could be accomplished with a separate
splittree.-dvd.py script or actually modifying splittree.py to accept
an additional keyword parameter to specify CD or DVD.

The actual changes necessary are in two messages on anaconda-devel-list:
https://www.redhat.com/archives/anaconda-devel-list/2005-February/msg00042.html
https://www.redhat.com/archives/anaconda-devel-list/2005-February/msg00044.html

The specific changes include:

   	
 	 

Search anaconda-devel-list for:
Results per page: Output format: Match: Search for: in: in: Search all
lists...
[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index]
[Date Index] [Author Index]
Re: bug or feature

    * From: Andrew Mann <amann mythicentertainment com>
    * To: Gene Czarcinski <gene czarc net>
    * Cc: anaconda-devel-list redhat com
    * Subject: Re: bug or feature
    * Date: Thu, 17 Feb 2005 11:00:52 -0500


About line 79 you'll find this:
self.target_size = 640.0 * 1024.0 * 1024


Change that to:
self.target_size = 4.4 * 1024.0 * 1024.0 * 1024


I also substitute "-dvd" everywhere "-disc" appears so that CD
directories and dvd directories can coexist.

I have not programed much in python or I would submit a patch here. 
However, if you would be receptive to a patch, I will see what I can
do something which would support CD and DVD splitting with a single
script.
Comment 1 Matthew Miller 2006-07-10 17:06:52 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Red Hat Bugzilla 2007-06-11 22:26:53 EDT
requested by Jams Antill
Comment 3 Chris Lumens 2007-10-26 11:18:04 EDT
Added a --disc-size option to splittree.py that allows you to set the size of
the media to be used, in megabytes.  This will be in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.